MPD: SampleTraits< SampleFormat::FLOAT > Struct Template Reference

MPD 0.20.15

Public Types | Static Public Attributes
SampleTraits< SampleFormat::FLOAT > Struct Template Reference

`#include <Traits.hxx>`

## Public Types
typedef float | value_type
typedef value_type * | pointer_type
typedef const value_type * | const_pointer_type
typedef float | sum_type
typedef float | long_type

## Static Public Attributes
static constexpr size_t | SAMPLE_SIZE = sizeof(value_type)
static constexpr value_type | MIN = -1
static constexpr value_type | MAX = 1
static constexpr value_type | SILENCE = 0

## Detailed Description

### template<>
struct SampleTraits< SampleFormat::FLOAT >

Definition at line 147 of file Traits.hxx.

## Member Typedef Documentation

## ◆ const_pointer_type

typedef const value_type* SampleTraits< SampleFormat::FLOAT >::const_pointer_type

Definition at line 150 of file Traits.hxx.

## ◆ long_type

typedef float SampleTraits< SampleFormat::FLOAT >::long_type

Definition at line 153 of file Traits.hxx.

## ◆ pointer_type

typedef value_type* SampleTraits< SampleFormat::FLOAT >::pointer_type

Definition at line 149 of file Traits.hxx.

## ◆ sum_type

typedef float SampleTraits< SampleFormat::FLOAT >::sum_type

Definition at line 152 of file Traits.hxx.

## ◆ value_type

typedef float SampleTraits< SampleFormat::FLOAT >::value_type

Definition at line 148 of file Traits.hxx.

## Field Documentation

## ◆ MAX

constexpr value_type SampleTraits< SampleFormat::FLOAT >::MAX = 1
| static

Definition at line 158 of file Traits.hxx.

## ◆ MIN

constexpr value_type SampleTraits< SampleFormat::FLOAT >::MIN = -1
| static

Definition at line 157 of file Traits.hxx.

## ◆ SAMPLE_SIZE

constexpr size_t SampleTraits< SampleFormat::FLOAT >::SAMPLE_SIZE = sizeof(value_type)
| static

Definition at line 155 of file Traits.hxx.

## ◆ SILENCE

constexpr value_type SampleTraits< SampleFormat::FLOAT >::SILENCE = 0
| static

Definition at line 159 of file Traits.hxx.

The documentation for this struct was generated from the following file:

- pcm/Traits.hxx